const TOOL_USING_KEY = "tool_{0}_using_count";
const EX_USING_KEY = "extension_using_count";
const WEB_PAINT_STAT = {
    incrementUsingStatisticsFn: function () {
        WEB_PAINT_STAT.incrementStatisticsFn(EX_USING_KEY);
    },
    incrementToolStatisticsFn: function (toolName) {
        WEB_PAINT_STAT.incrementStatisticsFn(TOOL_USING_KEY.replace('{0}', toolName));
    },
    incrementStatisticsFn: function (key) {
        var getData = {};
        getData[key] = 0;
        chrome.storage.local.get(getData, function (response) {
            response[key] = response[key] + 1;
            chrome.storage.local.set(response, function () {
            });
        })
    },
}
